<template>
    <div>
        <h3 class="text-center">Create User</h3>
        <div class="row">
            <div class="col-md-6">
                <form @submit.prevent="createUser">
                    <div class="form-group">
                        <label>Name</label>
                        <input type="text" class="form-control" v-model="user.name">
                    </div>
                    <div class="form-group">
                        <label>Email</label>
                        <input type="text" class="form-control" v-model="user.email">
                    </div>
                    <div class="form-group">
                        <label>Password</label>
                        <input type="password" class="form-control" v-model="user.password">
                    </div>
                    <button type="submit" class="btn btn-primary">Create</button>
                </form>
            </div>
        </div>
    </div>
</template>

<script>

    export default{
        data() {
            return {
                user: {}
            }
        
        },

        methods: {
            createUser() {
                    this.axios
                         .post('http://localhost:8000/api/users', this.user)
                         .then(response => (
                                this.$router.push({ name: 'users'})
                         ))
                         .catch(err => console.log(err))
                         .finally(() => this.loading = false)

            }

        
        }
    
    }


</script>